Package org.eclipse.net4j

## Interface ITransportConfigAware

- All Known Subinterfaces:
    `InternalAcceptor`, `InternalChannelMultiplexer`, `InternalConnector`
  All Known Implementing Classes:
    `Acceptor`, `ChannelMultiplexer`, `Connector`

      public interface ITransportConfigAware

  A concept that has a `transport configuration`, typically a `channel multiplexer`, `connector` or `acceptor`.
  Since:
    2.0
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ITransportConfig` | `getConfig()` | Returns the current transport configuration if there is one, a new empty one otherwise.
    `void` | `setConfig​(ITransportConfig config)` | Sets a new transport configuration by copying the given one.

- - ### Method Detail

    - #### getConfig

          ITransportConfig getConfig()

      Returns the current transport configuration if there is one, a new empty one otherwise.

    - #### setConfig

          void setConfig​(ITransportConfig config)

      Sets a new transport configuration by copying the given one.